import { Component, Input, OnInit } from "@angular/core";
import { CapabilityRequest } from "../../../../model/capability-request";
import { Capability } from "../../../../model/capability";

@Component({
  selector: "app-capability-definition",
  templateUrl: "./capability-definition.component.html",
  styleUrls: ["./capability-definition.component.scss"],
})
export class CapabilityDefinitionComponent implements OnInit {
  @Input() capabilityRequest: CapabilityRequest;
  @Input() capability: Capability;
  public capabilityStepList: Array<Array<string>>;

  constructor() {}

  ngOnInit(): void {
    this.capabilityStepList = this.stepStringToList(this.capability.steps);
  }

  stepStringToList(stepString: string): Array<Array<string>> {
    const step_list = stepString.split("\n");
    const splitStepList = [];
    step_list.forEach((step) => splitStepList.push(step.split(" ")));

    return splitStepList;
  }
}
