import { Injectable } from '@angular/core';
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs";
import { CapabilityRequest } from "../model/capability-request";
import { JsonObject } from "@angular/compiler-cli/ngcc/src/packages/entry_point";

@Injectable({
  providedIn: 'root'
})
export class WorkflowLauncherService {
  private endpoint = "workflows/";

  constructor(private httpClient: HttpClient) { }

  createAndSubmitWorkflow(workflowName: string, parameters: JsonObject): Observable<CapabilityRequest> {
    const url = this.endpoint + workflowName + "/requests/create-and-submit"
    return this.httpClient.post<any>(url, JSON.stringify({ parameters: parameters }));
  }
}
